package cn.iocoder.lyzsys.module.tjt.service.planningquarter;

import cn.iocoder.lyzsys.module.tjt.controller.admin.planningquarter.vo.ProjectPlanningQuarterSaveReqVO;
import cn.iocoder.lyzsys.module.tjt.dal.dataobject.planningquarter.ProjectPlanningQuarterDO;

import java.util.List;

/**
 * 季度分配 Service 接口
 *
 * @author Codex
 */
public interface ProjectPlanningQuarterService {

    Long createProjectPlanningQuarter(ProjectPlanningQuarterSaveReqVO createReqVO);

    void updateProjectPlanningQuarter(ProjectPlanningQuarterSaveReqVO updateReqVO);

    void deleteProjectPlanningQuarter(Long id);

    void deleteProjectPlanningQuarterList(List<Long> ids);

    ProjectPlanningQuarterDO getProjectPlanningQuarter(Long id);

    List<ProjectPlanningQuarterDO> getProjectPlanningQuarterListByPlanningId(Long planningId);

}
